/*
 * Copyright (c) 2012, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 * 
 * $Id$  
 */

package com.sun.ts.tests.jaxrs.spec.provider.jaxbcontext;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;
import javax.xml.bind.Unmarshaller;
import javax.xml.bind.Validator;

@SuppressWarnings("deprecation")
public class SomeJaxbContext extends JAXBContext {

	@Override
	public Marshaller createMarshaller() throws JAXBException {
		return new SomeMarshaller();
	}

	@Override
	public Unmarshaller createUnmarshaller() throws JAXBException {
		return new SomeUnmarshaller();
	}

	@Override	
	public Validator createValidator() throws JAXBException {
		return null;
	}

}
